/[suikacvs]/test/suikawebwww/style/html/xhtml2-2005.css
Suika

Contents of /test/suikawebwww/style/html/xhtml2-2005.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (show annotations) (download) (as text)
Wed Jun 22 11:50:18 2005 UTC (21 years, 2 months ago) by wakaba
Branch: MAIN
Changes since 1.1: +16 -6 lines
File MIME type: text/css
Rules for technical specification added

1 @import 'http://suika.fam.cx/www/style/ui/toc-style-float';
2 @namespace 'http://www.w3.org/2002/06/xhtml2/';
3 @namespace h2 'http://www.w3.org/2002/06/xhtml2/';
4
5 html {
6 display: block;
7 line-height: 2.0;
8 }
9 head {
10 display: block;
11 max-width: 0;
12 max-height: 0;
13 visibility: hidden;
14 overflow: hidden;
15 }
16
17 title {
18 display: inline;
19 -moz-binding: url(../ui/title.xbl#title);
20 }
21
22 link {
23 display: inline;
24 -moz-binding: url(xhtml2-translate.xbl#copy-as-child);
25 }
26
27 meta {
28 display: inline;
29 -moz-binding: url(xhtml2-translate.xbl#meta);
30 }
31
32 body {
33 display: block;
34 margin: 1em 1.5em;
35 }
36
37 section {
38 display: block;
39 margin: 1em 0.5em;
40 }
41
42 section + section {
43 margin-top: 1em;
44 }
45
46 h {
47 display: block;
48 margin-left: -0.5em;
49 margin-bottom: 0.5em;
50 font-size: 120%;
51 font-weight: bolder;
52 font-family: sans-serif;
53 line-height: 1.2;
54 text-align: left;
55 }
56
57 body > h { /* h1 */
58 margin-left: 2em;
59 margin-right: 2em;
60 text-align: center;
61 font-size: 140%;
62 }
63
64 section section h:before /* h3 */ {
65 content: "\0025B6" " ";
66 }
67
68 section section section h:before /* h4 */ {
69 content: "\0025B7" " ";
70 }
71
72 /* Paragraphs */
73
74 p {
75 display: block;
76 margin: 0.3em 0;
77 padding: 0;
78 text-indent: 1em;
79 text-align: justify;
80 }
81 p:lang(en) {
82 text-indent: 2em;
83 }
84
85 l {
86 display: block;
87 }
88
89 blockquote, blockcode {
90 display: block;
91 }
92
93 div {
94 display: block;
95 margin: 0.3em 0;
96 padding: 0;
97 }
98
99 blockcode, code, samp, kbd {
100 font-family: "Courier New", "Courier", monospace;
101 letter-spacing: 0.1em;
102 }
103
104 /* Phrases */
105
106 var {
107 font-style: italic;
108 }
109 dfn {
110 font-weight: bolder;
111 font-family: sans-serif;
112 }
113
114 /* List */
115
116 ul, ol, nl {
117 display: block;
118 }
119 li {
120 display: list-item;
121 margin-left: 2em;
122 padding-left: 0.5em;
123 }
124 label {
125 display: block;
126 border-bottom-style: solid;
127 border-bottom-width: 1px;
128 padding-bottom: 0.03em;
129 text-decoration: none;
130 font-style: normal;
131 font-weight: bolder;
132 font-family: sans-serif;
133 }
134
135 dl {
136 display: block;
137 margin-top: 0.4em;
138 margin-bottom: 0.4em;
139 padding: 0;
140 }
141 di {
142 display: block;
143 margin: 0.3em 1em;
144 padding: 0;
145 }
146 dt {
147 display: list-item;
148 list-style-item: disc;
149 margin: 0;
150 padding: 0 0 0 0.5em;
151 }
152 dd {
153 display: block;
154 display: run-in;
155 margin: 0 0 0 3em;
156 padding: 0;
157 overflow: auto;
158 }
159
160 /* dl old style */
161 /* Note. dl should have di */
162 dl > dt {
163 margin: 0.3em 0 0 0;
164 border-right: red 2px solid;
165 }
166 dl > dd {
167 margin: 0 0 0.3em 3em;
168 border-right: red 2px solid;
169 }
170
171 /* Link */
172 [href] {
173 color: blue;
174 cursor: pointer;
175 text-decoration: none !important;
176 border-style: hidden;
177 border-width: 1px;
178 border-color: blue;
179 }
180 [href] {
181 color: -moz-hyperlinktext;
182 border-color: -moz-hyperlinktext;
183 -moz-binding: url(xhtml2-translate.xbl#href);
184 }
185 [href]:hover {
186 color: inherit;
187 border-style: solid;
188 border-width: 1px;
189 border-color: red;
190 }
191 [href]:active {
192 color: -moz-activehyperlinktext;
193 }
194
195 /*
196 * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
197 * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
198 */
199
200 [xml|lang|="ja"] cite {
201 quotes: "$B!X(B" "$B!Y(B" "$B!V(B" "$B!W(B";
202 font-style: normal;
203 }
204 [xml|lang|="ja"] cite:before {
205 content: open-quote;
206 }
207 [xml|lang|="ja"] cite:after {
208 content: close-quote;
209 }
210 [xml|lang|="en"] cite {
211 quotes: none;
212 font-style: italic;
213 }
214 [xml|lang|="en"] cite cite {
215 quotes: none;
216 font-style: normal;
217 }
218 [xml|lang|="en"] cite:before,
219 [xml|lang|="en"] cite:after {
220 content: none;
221 }
222
223 var {
224 font-style: italic;
225 text-decoration: none;
226 }
227 var:lang(ja) {
228 border-bottom-style: solid;
229 border-bottom-width: 1px;
230 padding-bottom: 0.03em;
231 text-decoration: none;
232 font-style: normal;
233 }
234 var:lang(en) {
235 font-family: "Times New Roman", serif;
236 }
237
238 th[scope="row"] {
239 text-align: left;
240 }
241 th[scope="col"] {
242 text-align: center;
243 }
244
245 /* Edit */
246
247 h2|*[edit="inserted"] {
248 background-color: rgb(255, 255, 153);
249 color: black;
250 }
251
252 h2|*[edit="deleted"] {
253 background-color: #FFBBBB;
254 color: black;
255 }
256
257 h2|*[edit="changed"] {
258 background-color: rgb(153, 255, 153);
259 color: black;
260 }
261
262 h2|*[edit="moved"] {
263
264 }
265
266 /* License
267
268 Copyright 2003-2005 Wakaba <[email protected]>.
269
270 This program is free software; you can redistribute it and/or modify
271 it under the terms of the GNU General Public License as published by
272 the Free Software Foundation; either version 2 of the License, or
273 (at your option) any later version.
274
275 This program is distributed in the hope that it will be useful,
276 but WITHOUT ANY WARRANTY; without even the implied warranty of
277 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
278 GNU General Public License for more details.
279
280 You should have received a copy of the GNU General Public License
281 along with this program; see the file COPYING. If not, write to
282 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
283 Boston, MA 02111-1307, USA.
284
285 */
286
287 /* $Date: 2005/05/31 10:04:41 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24